Creator Eagle
API referenceOperations

Get long-running operation status

GET/operations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/operations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "sponsor-detection",  "status": "queued",  "progress": {    "current": 0,    "total": 0,    "percent": 0,    "phase": "string",    "message": "string"  },  "result": {    "ref": "string"  },  "error": {    "code": "string",    "message": "string"  },  "callback": {    "url": "string",    "events": [      "progress"    ],    "payloadFormat": "event",    "signingEnabled": true  },  "createdAt": "string",  "startedAt": "string",  "updatedAt": "string",  "completedAt": "string"}